For the complete documentation index, see llms.txt. This page is also available as Markdown.

Company

API Documentation for the BugSplat Company Endpoint

Get or set information about your company in BugSplat for Billing purposes.

Get Company

GET https://app.bugsplat.com/api/company

Returns information about the queried company by companyId.

Query Parameters

Name
Type
Description

companyId

number

ID of the company to query. Required if database is not provided.

database

string

Name of the database to resolve the company from. Required if companyId is not provided.

{
  companyId: 545,
  companyName: "BugSplat Public Testing",
  subscriptionId: 1732,
  birthdate: "0000-00-00 00:00:00",
  mfaRequired: false,
  upgradePageShown: false,
  licensedLimitExceededCount: 0,
  licensedLimitExceededDate: null,
}

Curl Example

Update Company

PUT https://app.bugsplat.com/api/company

Set the name of the specified company by companyId.

Query Parameters

Name
Type
Description

companyId

number

ID of the company to update. Required if database is not provided.

database

string

Name of the database to resolve the company from. Required if companyId is not provided.

Request Body

Name
Type
Description

companyName*

string

Updated name for the specified company

Last updated

Was this helpful?